/*
   Aqui nesta parte temos 3 as funções (ou voids) de controle dos botões;
   A primeira, verificacaoDePausa, analisa de ambos dos botões foram acionados. Neste caso entra em um loop while até que o botão 1 seja apertado sozinho.
   A segunda função, verificacaoDeApertoDoBotao1, verifica se o botão 1 foi pressionado e, também, se foi solto.
   A terceira função, verificacaoDeApertoDoBotao2, verifica se o botão 2 foi pressionado e, também, se foi solto.
*/


void verificacaoDePausa()//Botões 1 e 2 simultaneamente apertados

{ //Chave inicial do verificacaoDePausa
  //Verifica o acionamento dos botões 1 e 2.
  int estado_botao1 = digitalRead(pinoDoBotao1);
  int estado_botao2 = digitalRead(pinoDoBotao2);
  if (estado_botao1 == LOW && estado_botao1 != estadoDoBotao1 && estado_botao2 == LOW && estado_botao2 != estadoDoBotao2)
  {
    estadoDoBotao1 = estado_botao1;
    estadoDoBotao2 = estado_botao2;
    delay (5);
    todosOsLEDs ();

    pausa = pausa + 1;

  }//Chave final deste if.

  //Verifica soltura do botão.
  if (estado_botao2 == HIGH && estado_botao2 != estadoDoBotao2)
  { //Chave inicial deste if.
    estadoDoBotao2 = estado_botao2;
    delay (10);//Este delay é uma forma grosseira de fazer o debouncing.
    digitalWrite (pinoDoLEDVerde, LOW);
  }//Chave final deste if.
}//Chave final do void verificacaoDeApertoDoBotao2.



void verificacaoDeApertoDoBotao1()
{ //Chave inicial do verificacaoDeApertoDoBotao1.

  //Verifica o acionamento do botão.
  int estado_botao1 = digitalRead(pinoDoBotao1);
  if (estado_botao1 == LOW && estado_botao1 != estadoDoBotao1)//Esta linha verifica se o botão estava desligado anteriormente a estar ligado, para evitar dizer vezes seguidas que estava ligado.
  { // Chave inicial deste if.
    //Troca estado on/off.
    //Atualiza estado o botão.
    estadoDoBotao1 = estado_botao1;
    delay (10);//Uso de um delay como forma grosseira de fazer o debouncing que é a inconsistência elétrica logo após o contato de terminais.
    digitalWrite (pinoDoLEDVermelho, HIGH);//O LED vermelho é ligado.
    duracaoDoPulso = duracaoDoPulso + 10;//Altera a variável em questão.
    pausa = 0;
  }//Chave final deste if.

  //Verifica soltura do botão.
  if (estado_botao1 == HIGH && estado_botao1 != estadoDoBotao1)
  { //Chave inicial deste if.
    estadoDoBotao1 = estado_botao1;
    delay (10);

    digitalWrite (pinoDoLEDVermelho, LOW);//Desliga o LED em questão.
  }//Chave final deste if.
}//Chave final do void verificacaoDeApertoDoBotao1.


void verificacaoDeApertoDoBotao2()

{ //Chave inicial do verificacaoDeApertoDoBotao2.
  //Verifica o acionamento do botão.
  int estado_botao2 = digitalRead(pinoDoBotao2);
  if (estado_botao2 == LOW && estado_botao2 != estadoDoBotao2)
  {
    estadoDoBotao2 = estado_botao2;
    delay (10);
    digitalWrite (pinoDoLEDVerde, HIGH);

    duracaoDoPulso = duracaoDoPulso - 10;//Altera a variável em questão.

    if (duracaoDoPulso < 10)
    {
      duracaoDoPulso = 10;
    }

  }//Chave final deste if.

  //Verifica soltura do botão.
  if (estado_botao2 == HIGH && estado_botao2 != estadoDoBotao2)
  { //Chave inicial deste if.
    estadoDoBotao2 = estado_botao2;
    delay (10);//Este delay é uma forma grosseira de fazer o debouncing.

    digitalWrite (pinoDoLEDVerde, LOW);
  }//Chave final deste if.
}//Chave final do void verificacaoDeApertoDoBotao2.
